package de.fraunhofer.iem.dataprovider.toolRun

import de.fraunhofer.iem.dataprovider.toolRun.model.Tool
import org.springframework.data.jpa.repository.JpaRepository
import java.util.*

interface ToolRepository : JpaRepository<Tool, UUID> {
    fun findByFullNameIgnoreCaseAndNameIgnoreCaseAndVersionIgnoreCase(
        fullName: String?,
        name: String?,
        version: String?
    ): Tool?
}