# Data Provider

## Setup

1. Build all docker images in the `tools` folder. Make sure the container name matches the name expected in the
   corresponding launch script in `resources/scripts` (usually matches the folder name of the tool).
2. Start the database docker service in `tools/db`.
3. Set the necessary environment variables (the following shows examples):

```
OPENCODE_GITLAB_TOKEN=XXX
GIT_PROJECT_PATH=/tmp/opencode

DB_URL=jdbc:postgresql://localhost:5432/dataprovider
DB_USER=sa
DB_PW=password
```

Make sure that the db settings match the values in the database dockerfile!
If you are using IntelliJ for development it is easiest to create a `.env` file in the `resources` folder.
This file is automatically loaded by the IDE.