package de.fraunhofer.iem.dataprovider.toolRun

import de.fraunhofer.iem.dataprovider.gitlab.Platform
import de.fraunhofer.iem.dataprovider.toolRun.model.Repository
import org.springframework.data.jpa.repository.JpaRepository
import java.util.*

interface RepositoryRepository : JpaRepository<Repository, UUID> {
    fun findByRepoIdAndPlatform(repoId: Long, platform: Platform): Repository?
}
